All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
MulCScale
Arithmetic Operations

Multiplies each pixel of an image by a constant value then scales the result by the maximum value for the data bit width. More...

## Functions

NppStatus | nppiMulCScale_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u nConstant, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_C1IR_Ctx (const Npp8u nConstant, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C1IR (const Npp8u nConstant, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_C3IR_Ctx (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel 8-bit unsigned char in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C3IR (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_AC4IR_Ctx (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha in place image multiply by constant, scale and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_AC4IR (const Npp8u aConstants[3], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u aConstants[4], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_8u_C4IR_Ctx (const Npp8u aConstants[4], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_8u_C4IR (const Npp8u aConstants[4], Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u nConstant, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u nConstant, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C1IR_Ctx (const Npp16u nConstant, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C1IR (const Npp16u nConstant, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C3R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C3IR_Ctx (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C3IR (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[3], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_AC4IR_Ctx (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_AC4IR (const Npp16u aConstants[3], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u aConstants[4], Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulCScale_16u_C4IR_Ctx (const Npp16u aConstants[4], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value. More...
NppStatus | nppiMulCScale_16u_C4IR (const Npp16u aConstants[4], Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Multiplies each pixel of an image by a constant value then scales the result by the maximum value for the data bit width.

## Function Documentation

NppStatus nppiMulCScale_16u_AC4IR | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_AC4IR_Ctx | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha in place image multiply by constant and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C1IR | ( | const Npp16u | nConstant,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C1IR_Ctx | ( | const Npp16u | nConstant,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | nConstant,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | nConstant,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C3IR | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C3IR_Ctx | ( | const Npp16u | aConstants[3],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C3R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[3],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C4IR | ( | const Npp16u | aConstants[4],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C4IR_Ctx | ( | const Npp16u | aConstants[4],
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image multiply by constant and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_16u_C4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u | aConstants[4],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_AC4IR | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_AC4IR_Ctx | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha in place image multiply by constant, scale and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C1IR | ( | const Npp8u | nConstant,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C1IR_Ctx | ( | const Npp8u | nConstant,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel in place image multiply by constant and scale by max bit width value.

Parameters

  nConstant | Constant.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | nConstant,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nConstant | Constant.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C3IR | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C3IR_Ctx | ( | const Npp8u | aConstants[3],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel 8-bit unsigned char in place image multiply by constant and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C4IR | ( | const Npp8u | aConstants[4],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C4IR_Ctx | ( | const Npp8u | aConstants[4],
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image multiply by constant and scale by max bit width value.

Parameters

  aConstants | fixed size array of constant values, one per channel.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulCScale_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulCScale_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u | aConstants[4],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image multiply by constant and scale by max bit width value.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  aConstants | fixed size array of constant values, one per channel.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation